
<?php


if(isSet($_GET["btn_buscar"]) and $_GET["txt-buscar"]!=""){
	include_once '../php/config.php';
	$co =$_GET['txt-buscar']; 
	$sql_buscar_codigo = mysql_query("select * from inventario where codigo='".$co."' and almacen='almacen-1'") or die(mysql_error());
	while($rc01 = mysql_fetch_array($sql_buscar_codigo)){
	 if($rc01["codigo"]!=""){
		 agregar($rc01["codigo"],
		 $rc01["descripcion"],
		 $rc01["precio"],
		 $rc01["costo"], $camarero, $mesa);
	
	 }else{
		 echo "Producto no encontrado";
	 }
	}
	
}

if(isSet($_GET["btn_buscar"]) and $_GET["txt-buscar"]==""){
	$param = "mesa=".$mesa."&camarero=".$camarero;
	///echo "<script>window.open('recibo_comanda.php?$param','_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=400,height=850');
	////</script>";


include_once '../php/config.php';
///if($_GET["confirmar"]=="1"){
  $sql1 = mysql_query("select * from detalle_pedido where mesa='".$_GET['txt-mesa']."'") or die(mysql_error());
	while($rr = mysql_fetch_array($sql1)){
		enviar($rr["codigo"],
			   $rr["descripcion"],
			   $rr["precio"],
			   $rr["costo"],
			   $rr["sub_precio"],
			   $rr["sub_costo"],
			   $rr["cantidad"],
			   $rr["mesa"],
			   $rr["camarero"]);
	$tt+=$rr["sub_precio"];		   
	///}
	include_once 'limpiar_pedidos.php';

	

}
	
}





function agregar($codigo, $descripcion, $precio, $costo, $camarero, $mesa){
	mysql_query("insert into detalle_pedido set codigo='".$codigo."',
	 descripcion = '".$descripcion."',
	 precio = '".$precio."',
	 costo = '".$costo."',
	 sub_precio = '".$precio."',
	 sub_costo = '".$costo."',
	 camarero='".$_GET['txt-camarero']."',
	 mesa='".$_GET['txt-mesa']."',
	 cantidad=1") or die(mysql_error());
	 echo "Item agregado...";
	 
	 mysql_query("update mesas set camarero='".$_GET['txt-camarero']."' where nombre='".$_GET['txt-mesa']."'") or die(mysql_error());


	 echo "<script>window.location.href='vender.php?txt-mesa=".$_GET['txt-mesa']."&txt-camarero=".$_GET['txt-camarero']."'</script>";
}





if(isSet($_GET["abrir"])){
///	include_once '../php/config.php';
if($_GET["abrir"]=="1"){
  mysql_query("update mesas set estado='Ocupada', camarero='".$_GET['txt-camarero']."', fecha=CURDATE(), hora=CURTIME() where nombre='".$_GET['txt-mesa']."'") or die(mysql_error());
  echo "<script>window.location.href='vender.php?txt-mesa=".$_GET['txt-mesa']."&txt-camarero=".$_GET['txt-camarero']."'</script>";

}
	}
	
if(isSet($_GET["cerrar"]) and $_COOKIE["nivel"]=="Master"){
///	include_once '../php/config.php';
if($_GET["cerrar"]=="1"){
  mysql_query("update mesas set estado='Disponible', camarero='', ticket='', fecha='', hora='', precuenta='' where nombre='".$_GET['txt-mesa']."'") or die(mysql_error());
  mysql_query("delete from detalle_comanda where mesa='".$_GET['txt-mesa']."'") or die(mysql_error());
   mysql_query("delete from detalle_pedido where mesa='".$_GET['txt-mesa']."'") or die(mysql_error());
	 mysql_query("update mesas set total=0  where nombre='$mesa'") or die(mysql_error());

  echo "<script>window.location.href='vender.php?txt-mesa=".$_GET['txt-mesa']."&txt-camarero=".$_GET['txt-camarero']."'</script>";

}
	}
	



if(isSet($_GET["borrar"])){
	include_once '../php/config.php';
if($_GET["borrar"]=="1"){
  mysql_query("delete from detalle_pedido where mesa='".$_GET['txt-mesa']."'") or die(mysql_error());
 
}
	}

	if(isSet($_GET["delete"])){
		include_once '../php/config.php';
	if($_GET["delete"]=="1"){
	  mysql_query("delete from detalle_pedido where mesa='".$_GET['txt-mesa']."' and id='".$_GET['id_delete']."'") or die(mysql_error());
	}
	///echo "<script>window.location.href='vender.php?txt-mesa=".$_GET['txt-mesa']."&txt-camarero=".$_GET['txt-camarero']."'</script>";

		}

		if(isSet($_GET["delete2"])){
			include_once '../php/config.php';
		if($_GET["delete2"]=="1"){
		echo "<script>window.location.href='delete_item.php?txt-mesa=".$_GET['txt-mesa']."&txt-camarero=".$_GET['txt-camarero']."&id_delete=".$_GET['id_delete']."'</script>";

		}

			}
		
	
if(isSet($_GET["borrar_cuenta"]) and $_COOKIE["nivel"]=="Master"){
	include_once '../php/config.php';
if($_GET["borrar_cuenta"]=="1"){
  mysql_query("delete from detalle_comanda where mesa='".$_GET['txt-mesa']."'") or die(mysql_error());
   mysql_query("delete from detalle_pedido where mesa='".$_GET['txt-mesa']."'") or die(mysql_error());

  mysql_query("update mesas set estado='Disponible', camarero='', ticket='', precuenta='' where nombre='".$_GET['txt-mesa']."'") or die(mysql_error());
   echo "<script>window.location.href='vender.php?txt-mesa=".$_GET['txt-mesa']."&txt-camarero=".$_GET['txt-camarero']."'</script>";

}
	}

if(isSet($_GET["confirmar"])){
	$param = "mesa=".$mesa."&camarero=".$camarero;
	echo "<script>window.open('recibo_comanda.php?$param','_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=400,height=850');
	</script>";


include_once '../php/config.php';
if($_GET["confirmar"]=="1"){

  $sql1 = mysql_query("select * from detalle_pedido where mesa='".$_GET['txt-mesa']."'") or die(mysql_error());
	while($rr = mysql_fetch_array($sql1)){
		enviar($rr["codigo"],
			   $rr["descripcion"],
			   $rr["precio"],
			   $rr["costo"],
			   $rr["sub_precio"],
			   $rr["sub_costo"],
			   $rr["cantidad"],
			   $rr["mesa"],
			   $rr["camarero"]);
	$tt+=$rr["sub_precio"];		  
	
	}

	

}


	}

function enviar($codigo, $descripcion, $precio, $costo, $total_precio, $total_costo, $cantidad, $mesa, $camarero){


 $sql_ = mysql_query("select * from detalle_comanda where codigo='$codigo' and mesa='$mesa' and anulado!=1") or die(mysql_error());
 if(mysql_num_rows($sql_)<=0){
	mysql_query("insert into detalle_comanda set codigo='".$codigo."',
	 descripcion = '".$descripcion."',
	 precio = '".$precio."',
	 costo = '".$costo."',
	 total_precio = '".$total_precio."',
	 total_costo = '".$total_costo."',
	 camarero='".$camarero."',
	 mesa='".$mesa."',
	 cantidad='".$cantidad."'") or die(mysql_error());


 }else{
	 mysql_query("update detalle_comanda set cantidad=cantidad + '".$cantidad."'  where codigo='$codigo' and mesa='$mesa'") or die(mysql_error());
	 mysql_query("update detalle_comanda set total_costo=cantidad * costo, total_precio=precio * cantidad  where codigo='$codigo' and mesa='$mesa'") or die(mysql_error());
	 
 }	 

 	mysql_query("update mesas set estado='Disponible', precuenta='', camarero='', ticket='' where total=0 and tipo!='Mostrador' and nombre!='$mesa'") or die(mysql_error());
	mysql_query("update mesas set estado='Ocupada' where total>0 and tipo!='Mostrador' and nombre!='$mesa'") or die(mysql_error());
	

 echo "<script>window.location.href='vender.php?txt-mesa=".$_GET['txt-mesa']."&txt-camarero=".$_GET['txt-camarero']."'</script>";

 /////mysql_query("delete from  detalle_pedido where mesa='".$mesa."'")or die(mysql_error());



	  /// echo "<script>window.location.href='vender.php?txt-mesa=".$_GET['txt-mesa']."&txt-camarero=".$_GET['txt-camarero']."'</script>";


	 ////echo "Items enviados...";
}



if(isSet($_GET["add"])){
///	include_once '../php/config.php';
if($_GET["add"]=="1"){
 mysql_query("update detalle_comanda set cantidad=cantidad + 1  where id_detalle_comanda='".$_GET["id"]."'") or die(mysql_error());
	 mysql_query("update detalle_comanda set total_costo=cantidad * costo, total_precio=precio * cantidad  where id_detalle_comanda='".$_GET["id"]."'") or die(mysql_error());
	 
  echo "<script>window.location.href='vender.php?txt-mesa=".$_GET['txt-mesa']."&txt-camarero=".$_GET['txt-camarero']."'</script>";

}
	}
	
if(isSet($_GET["sub"])){
///	include_once '../php/config.php';
if($_GET["sub"]=="1"){
 mysql_query("update detalle_comanda set cantidad=cantidad - 1  where id_detalle_comanda='".$_GET["id"]."' and cantidad>1") or die(mysql_error());
	 mysql_query("update detalle_comanda set total_costo=cantidad * costo, total_precio=precio * cantidad  where id_detalle_comanda='".$_GET["id"]."'") or die(mysql_error());
	 
  echo "<script>window.location.href='vender.php?txt-mesa=".$_GET['txt-mesa']."&txt-camarero=".$_GET['txt-camarero']."'</script>";

}
	}


if(isSet($_GET["add0"])){
///	include_once '../php/config.php';
if($_GET["add0"]=="1"){
 mysql_query("update detalle_pedido set cantidad=cantidad + 1  where id='".$_GET["id"]."'") or die(mysql_error());
	 mysql_query("update detalle_pedido set sub_costo=cantidad * costo, sub_precio=precio * cantidad  where id='".$_GET["id"]."'") or die(mysql_error());
	 
  ///echo "<script>window.location.href='vender.php?txt-mesa=".$_GET['txt-mesa']."&txt-camarero=".$_GET['txt-camarero']."'</script>";

}
	}
	
if(isSet($_GET["sub0"])){
///	include_once '../php/config.php';
if($_GET["sub0"]=="1"){
 mysql_query("update detalle_pedido set cantidad=cantidad - 1  where id='".$_GET["id"]."' and cantidad>1") or die(mysql_error());
	 mysql_query("update detalle_pedido set sub_costo=cantidad * costo, sub_precio=precio * cantidad  where id='".$_GET["id"]."'") or die(mysql_error());
	 
  ///echo "<script>window.location.href='vender.php?txt-mesa=".$_GET['txt-mesa']."&txt-camarero=".$_GET['txt-camarero']."'</script>";

}
	}
	
	 ////mysql_query("update mesas set total='".$_GET['total_precio_comanda2']."'  where nombre='$mesa'") or die(mysql_error());


if(isSet($_GET["nuevo"])){
///	include_once '../php/config.php';
if($_GET["nuevo"]=="1"){
$mr = mysql_query("select id_mesa from mesas order by id_mesa desc limit 1") or die(mysql_error());
 $lmesa = @mysql_result($mr,0,"id_mesa") + 1;
 mysql_query("insert into mesas set nombre='$lmesa', ticket='Cliente Vta. directa' , tipo='Mostrador'") or die(mysql_error());
 
  ///echo "<script>window.location.href='vender.php?txt-mesa=".$_GET['txt-mesa']."&txt-camarero=".$_GET['txt-camarero']."'</script>";

}
	}
	


?>